
QGIS Application - Bug report #14987

style dock: symbology panel not updated when adding layers with pre-defined style

2016-06-08 07:57 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 22935

Description

Steps to reproduce:

    1. Create a new project

    2. Open the style dock panel

    3. Add a vector layer with a pre-defined style (e.g. a shapefile with a .qml attached to it)

    4. Notice the style dock symbology panel isn't updated to reflect the style loaded through the .qml file

History

#1 - 2016-06-14 10:12 PM - Jürgen Fischer

- Category set to GUI

#2 - 2016-07-06 03:30 PM - Martin Dobias

- Status changed from Open to Feedback

Still true? It seems to work fine for me...

#3 - 2016-07-06 06:33 PM - Mathieu Pellerin - nIRV

- Resolution set to worksforme

- Status changed from Feedback to Closed

Indeed, works for me now. Closing.
